<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myResourceLabel" jhiTranslate="pcidssApp.resource.home.createOrEditLabel">Create or edit a Resource</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!resource.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="resource.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="pcidssApp.resource.resourceURL" for="field_resourceURL">Resource URL</label>
            <input type="text" class="form-control" name="resourceURL" id="field_resourceURL"
                [(ngModel)]="resource.resourceURL" required />
            <div [hidden]="!(editForm.controls.resourceURL?.dirty && editForm.controls.resourceURL?.invalid)">
                <small class="form-text text-danger"
                   [hidden]="!editForm.controls.resourceURL?.errors?.required" jhiTranslate="entity.validation.required">
                   This field is required.
                </small>
            </div>
        </div>

        <div class="form-group">
            <label jhiTranslate="pcidssApp.resource.userGroup" for="field_userGroup">User Group</label>
            <select class="form-control" id="field_userGroup" multiple name="userGroup" [(ngModel)]="resource.userGroups">
                <option [ngValue]="getSelected(resource.userGroups, userGroupOption)" *ngFor="let userGroupOption of usergroups; trackBy: trackUserGroupById">{{userGroupOption.name}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
